
QGIS Application - Bug report #1707

Sorting of a table column doesn't work correct for primary keys

2009-05-19 07:23 AM - bjpfei -

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11767

Description

1.) Load a db-layer with a integer primary key

2.) open the attribute table of the layer

3.) try to sort the primary key column

seems that qgis sorts the column like a string typed column

thx for checking this

Associated revisions

Revision e4cf9cf6 - 2009-07-18 11:26 PM - Jürgen Fischer

fix #1707

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11107 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision eead1f7d - 2009-07-18 11:26 PM - Jürgen Fischer

fix #1707

git-svn-id: http://svn.osgeo.org/qgis/trunk@11107 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 43216f9b - 2009-08-19 06:45 PM - Jürgen Fischer

fix #1707, take two

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11442 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 80a9cef4 - 2009-08-19 06:45 PM - Jürgen Fischer

fix #1707, take two

git-svn-id: http://svn.osgeo.org/qgis/trunk@11442 c8812cc2-4d05-0410-92ff-de0c093fc19c
History

#1 - 2009-07-18 02:27 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in

#2 - 2009-07-27 08:13 PM - Giovanni Manghi

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Sorry for reopening this one, but seems that the bug is still there in grass vector attribute tables. It sorts every numeric field like it was a string.

#3 - 2009-07-27 08:14 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2009-08-19 09:45 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed in commit:80a9cef4 (SVN r11443)
